package com.artfess.cqlt.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfSubjectInternationalInfo;

import java.util.List;
import java.util.Map;

/**
 * 国际准则科目信息 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-02-08
 */
public interface QfSubjectInternationalInfoManager extends BaseManager<QfSubjectInternationalInfo> {

    List<QfSubjectInternationalInfo> getTree(QfSubjectInternationalInfo entity);

    boolean importExcel(List<QfSubjectInternationalInfo> list);

    boolean batchUpdate();

    Map<String, QfSubjectInternationalInfo> getSubjectCodeMap(String type);

    List<QfSubjectInternationalInfo> findByType(String type);
}
